import request from '@/utils/request'
import { getToken } from '@/utils/auth'

// 提交其他报表超链接
export function submitOtherReportAPI(data) {
  return request({
    url: '/report/share',
    method: 'post',
    data
  }) 
}

// 录入其他平台报表链接
export function enterOtherReportAPI(data) {
  return request({
    url: '/report/customer/core/save',
    method: 'POST',
    data
  }) 
}

// 获取积木报表文件夹列表（分组）
export function getReportFolderListAPI() {
  return request({
    url: `/report/jmreport/category/list`,
    headers: {
      Token: getToken()
    },
    method: 'GET'
  }) 
}